--[[
神兽保佑！菩萨包邮！佛祖包邮！真主阿拉包邮！代码无BUG！！！
创建作者：Administrator
创建时间：2015年1月23日21时18分8秒
感谢使用：更鸟游戏
]]
------------------------------------------
function 系统配置(t)
    t.title = "我的游戏"				-- 文本型	窗口标题
    t.window.width = 800			-- 数值型	宽度
    t.window.height = 600			-- 数值型	高度
    t.window.msaa = 0					-- 数值型	抗锯齿数
    t.window.vsync =			true		-- 逻辑型	垂直同步
    t.window.borderless = false		-- 逻辑型	无边框
    t.window.resizable =	false		-- 逻辑型	可调节大小
    t.window.highdpi =		false		-- 逻辑型	高清模式显示，土豪专用
    t.window.srgb =				true		-- 逻辑型	伽马修正
    t.window.fullscreen =	false		-- 逻辑型	全屏
    t.window.fullscreentype = "exclusive"	-- 文本型	全屏显示模式
		
    t.modules.joystick = 	false		-- 逻辑型	手柄
    t.modules.audio =			false		-- 逻辑型	音频
    t.modules.sound =			false		-- 逻辑型	声音流
    t.modules.physics =		false		-- 逻辑型	物理引擎
    t.modules.thread =		false		-- 逻辑型	线程系统
end
-----------头部可以intro，变量等----------

--intro("Protect.lua")
DataPro  = class("DataPro")

function DataPro:create(...)
	self.name = {...}
	self.value = {}
	for  i=1,#self.name do
		self.value[self.name[i]] = 0
	end
	self.feather = 0
end

function DataPro:非法检测()
	if(self:取特征()~=self.feather) then
		return true
	end
	return false
end

function DataPro:取特征()
	特征值 = 0
	for  i=1,#self.name do
		特征值 = 特征值 + self.value[self.name[i]]
	end
	
	return 特征值
end

function DataPro:写(变量名,值)
	self.value[变量名] = 值
	self.feather = self:取特征()
end

function DataPro:增减(变量名,增减)
	self.value[变量名] = self.value[变量名] + 增减
	self.feather = self:取特征()
end

function DataPro:读(变量名)
	return self.value[变量名]
end

------------------------------------------
function 引擎创建()
	--置资源目录(取游戏路径())  --设置游戏目录，必有该语句！
	置资源目录(取调试目录().."Example/Win32/GameRes")
	--因为例程演示需要，设置演示资源目录，编译时务必手动更改游戏目录
	local f= 创建字体("Verdana.ttf", 14)
	--首先载入一个TTF文字文件，出于显示，这里用的字体是Verdana，游戏中，你可以使用中文字体
	置字体(f)
	
	Q_角色属性 = DataPro:new("血气","魔法","力量")
	
	已被修改= 假
	累加时间=0
	dt=0
end
------------------------------------------

function 逻辑更新(dt)


	累加时间=累加时间+dt
	
	if(累加时间>0.1) then
		累加时间=0
		if(Q_角色属性:非法检测()) then
			已被修改 = true
		end
	end
	
end
------------------------------------------

function 画面显示()
	画文本("血气:".. Q_角色属性:读("血气"),120,100)
	
	if(已被修改) then
		画文本("警告！数值被非法修改!",60,30)
	end
end
------------------------------------------

function 键盘按下(key)
	if(key==" ") then
		Q_角色属性:增减("血气",10)
	end
end
------------------------------------------

function 键盘放开(key)
	if key == "escape" then 事件停止() end
end
------------------------------------------

function 鼠标按下(x,y,button)
	
end
------------------------------------------

function 鼠标放开(x,y,button)
	
end
------------------------------------------

function 鼠标移动(x,y,xrel,yrel)
	
end
------------------------------------------

function 鼠标滚轮移动(x,y,xrel,yrel)
	
end
------------------------------------------

function 窗口尺寸变化(w,h)
		
end
------------------------------------------

function 窗口获得焦点(f)
		
end
------------------------------------------

function 窗口鼠标进入(f)
		
end
------------------------------------------

function 窗口可视状态(v)
		
end
------------------------------------------

function 线程错误消息(thread,errorstr)
		
end
------------------------------------------

function 拖放得到目录(dir)

end
------------------------------------------

function 拖放得到文件(f)

end
------------------------------------------